> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Jobs

> List the jobs for the experiment or the circuit.

Returns the list of the jobs.

Args:
    experiment_id: The ID of the parent experiment.
    user (UserModel): User authenticated with api key.
    job_type (JobType | None): When specified, filter out only specific jobs.
    circuit_id (str | None): When specified, filter the jobs that belong to the circuit.
    limit (int): Limit the number of the jobs returned.

Returns:
    list: List of job objects.



## OpenAPI

````yaml https://api.haiqu.ai/openapi.json get /experiments/{experiment_id}/jobs
openapi: 3.1.0
info:
  title: Haiqu API
  summary: Haiqu RESTful API service.
  description: Cloud service providing the access to Haiqu cloud runtime
  contact:
    name: Haiqu Inc.
    url: https://haiqu.ai/
    email: info@haiqu.ai
  version: 1.4.0
servers: []
security: []
paths:
  /experiments/{experiment_id}/jobs:
    get:
      summary: List Jobs
      description: |-
        List the jobs for the experiment or the circuit.

        Returns the list of the jobs.

        Args:
            experiment_id: The ID of the parent experiment.
            user (UserModel): User authenticated with api key.
            job_type (JobType | None): When specified, filter out only specific jobs.
            circuit_id (str | None): When specified, filter the jobs that belong to the circuit.
            limit (int): Limit the number of the jobs returned.

        Returns:
            list: List of job objects.
      operationId: list_jobs_experiments__experiment_id__jobs_get
      parameters:
        - name: experiment_id
          in: path
          required: true
          schema:
            type: string
            title: Experiment Id
        - name: job_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/JobType'
              - type: 'null'
            title: Job Type
        - name: circuit_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Circuit Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
components:
  schemas:
    JobType:
      type: string
      enum:
        - User local job
        - Analytics
        - Device specific analytics
        - Data Loading
        - Hybrid
        - Run
        - State Compression
        - Transpilation
        - Variational
        - Pretraining
        - SKQD
      title: JobType
      description: Class for job types.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: HAIQU_API_KEY
    APIKeyHeader:
      type: apiKey
      in: header
      name: authorization

````